--- title: "全カラムのメタデータ取得" url: https://docs.catalyst.zoho.com/ja/api/code-reference/cloud-scale/data-store/get-all-columns-metadata/ description: "このAPIを使用すると、Data Store内のテーブルの全カラムのメタデータを取得できます。" last_updated: 2026-02-23T12:39:41Z service: Cloud Scale type: api --- # 全カラムのメタデータの取得 ### 説明 このAPIを使用すると、テーブルの一意のIDまたは名前を指定して、[Data Store](https://docs.catalyst.zoho.com/ja/cloud-scale/help/data-store/introduction)内のテーブルの全カラムのメタデータを取得できます。 ### リクエスト詳細 #### リクエストURL `GET` {api-domain}/baas/v1/project/{project_id}/table/{tableIdentifier}/column - **api-domain** (URL): Catalyst APIにアクセスするためのDC固有のドメイン - **project_id** (Numerical): プロジェクトの[一意のID](https://docs.catalyst.zoho.com/ja/getting-started/set-up-a-catalyst-project/general-settings/) - **tableIdentifier** (Numerical): テーブルの[一意のID](https://docs.catalyst.zoho.com/ja/cloud-scale/help/data-store/tables/#create-a-new-table)またはテーブル名 #### リクエストヘッダー **Authorization:** Zoho-oauthtoken {oauth_token} **任意のヘッダー** **CATALYST-ORG:** {org_id} **Environment:** Development #### スコープ ZohoCatalyst.tables.columns.READ ### レスポンス詳細 レスポンスには、各カラムの`column_id`、`column_name`、`data_type`などの全カラムのメタデータが返されます。 **リクエスト例** ```bash curl -X GET \ https://api.catalyst.zoho.com/baas/v1/project/4000000006007/table/EmpDetails/column \ -H "Authorization: Zoho-oauthtoken 1000.910*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*16.2f*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*57" ``` **レスポンス例** ```json { "status":"success", "data":[ { "table_id":829000000037723, "column_sequence":1, "column_name":"ROWID", "category":1, "data_type":"bigint", "is_read_only":false, "max_length":50, "is_mandatory":false, "decimal_digits":2, "is_unique":false, "search_index_enabled":false, "column_id":829000000037726 }, { "table_id":829000000037723, "column_sequence":2, "column_name":"CREATORID", "category":1, "data_type":"bigint", "is_read_only":false, "max_length":50, "is_mandatory":false, "decimal_digits":2, "is_unique":false, "search_index_enabled":true, "column_id":829000000037728 }, { "table_id":829000000037723, "column_sequence":3, "column_name":"CREATEDTIME", "category":1, "data_type":"datetime", "is_read_only":false, "max_length":50, "is_mandatory":false, "decimal_digits":2, "is_unique":false, "search_index_enabled":true, "column_id":829000000037730 }, { "table_id":829000000037723, "column_sequence":4, "column_name":"MODIFIEDTIME", "category":1, "data_type":"datetime", "is_read_only":false, "max_length":50, "is_mandatory":false, "decimal_digits":2, "is_unique":false, "search_index_enabled":true, "column_id":829000000037732 }, { "table_id":829000000037723, "column_sequence":5, "column_name":"EmpID", "category":2, "data_type":"bigint", "is_read_only":false, "max_length":15, "is_mandatory":true, "decimal_digits":2, "is_unique":true, "search_index_enabled":false, "column_id":829000000038445 }, { "table_id":829000000037723, "column_sequence":6, "column_name":"EmpName", "category":2, "data_type":"text", "is_read_only":false, "max_length":50, "is_mandatory":true, "decimal_digits":2, "is_unique":false, "search_index_enabled":false, "column_id":829000000038450 } ] } ``` ### SDK Documentation [Get Column Metadata- Java SDK](https://docs.catalyst.zoho.com/ja/sdk/java/v1/cloud-scale/data-store/get-column-meta)

[Get Column Metadata- Node.js SDK](https://docs.catalyst.zoho.com/ja/sdk/nodejs/v2/cloud-scale/data-store/get-column-meta)

[Get Column Metadata- Python SDK](https://docs.catalyst.zoho.com/ja/sdk/python/v1/cloud-scale/data-store/get-column-meta)

[Get Column Metadata- Web SDK](https://docs.catalyst.zoho.com/ja/sdk/web/v4/cloud-scale/data-store/get-column-meta)